cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o",
"data": [
{
"timestamp": "2026-10-13T15:32:43+00:00",
"lp_price": 1.047948578252504,
"aum": 37526618015609
},
{
"timestamp": "2026-10-13T16:32:31+00:00",
"lp_price": 1.0479487631148943,
"aum": 37526628905035
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
{
"error": "<message>"
}
History
Strategy vault LP token price history
Retrieve historical strategy LP prices with the latest live valuation when available.
GET
/
strategies
/
managed
/
{address}
/
price-chart
cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o",
"data": [
{
"timestamp": "2026-10-13T15:32:43+00:00",
"lp_price": 1.047948578252504,
"aum": 37526618015609
},
{
"timestamp": "2026-10-13T16:32:31+00:00",
"lp_price": 1.0479487631148943,
"aum": 37526628905035
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Path parameters
string
required
Solana account address.
Query parameters
number
Lookback in seconds. Default:
86400 (one day).cURL
curl https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart
import requests
response = requests.get("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/strategies/managed/puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o/price-chart");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "puiRBGikahXM4C7weFtNRFcs7bSUx8wVn1m5v6RA91o",
"data": [
{
"timestamp": "2026-10-13T15:32:43+00:00",
"lp_price": 1.047948578252504,
"aum": 37526618015609
},
{
"timestamp": "2026-10-13T16:32:31+00:00",
"lp_price": 1.0479487631148943,
"aum": 37526628905035
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
{
"error": "<message>"
}